GetAllResourceTypeInfoRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords.impl.pb, class: GetAllResourceTypeInfoRequestPBImpl

Package org.apache.hadoop.yarn.api.protocolrecords.impl.pb

# Class GetAllResourceTypeInfoRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoRequest
org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetAllResourceTypeInfoRequestPBImpl

@Private @Unstable public class GetAllResourceTypeInfoRequestPBImpl extends org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoRequest
Protobuf implementation class for GetAllResourceTypeInfoRequest.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetAllResourceTypeInfoRequestPBImpl()`
  `GetAllResourceTypeInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoRequestProto`
  `getProto()`
  `int`
  `hashCode()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetAllResourceTypeInfoRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetAllResourceTypeInfoRequestPBImpl

    public GetAllResourceTypeInfoRequestPBImpl()

  - ### GetAllResourceTypeInfoRequestPBImpl

    public GetAllResourceTypeInfoRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetAllResourceTypeInfoRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`